<div class="main">
  <!-- Actual search box -->
  <div class="form-group has-search">
    <span class="fa fa-search form-control-feedback"></span>
    <input
      type="text"
      name="search"
      autocomplete="off"
      class="form-control"
      placeholder="Search"
      [(ngModel)]="globalSearchTerm"
    />
  </div>

  <table class="table table-bordered">
    <thead>
      <tr>
        <th scope="col">Id</th>
        <th scope="col" href="#" (click)="sort('fullName')">
          Name<i class="fas fa-arrow-down"></i>
        </th>
        <th scope="col">Gender</th>
        <th scope="col" (click)="sort('address')">
          Address<i class="fas fa-arrow-down"></i>
        </th>
        <th scope="col" (click)="sort('phoneNumber')">
          Phone number<i class="fas fa-arrow-down"></i>
        </th>
        <th scope="col">Action</th>
      </tr>
    </thead>
    <tr>
      <td>
        <input
          type="text"
          class="form-control"
          placeholder="search here"
          [(ngModel)]="globalSearchTerm"
        />
      </td>
      <td>
        <input
          type="text"
          name="fullName"
          class="form-control"
          placeholder="search here"
          [(ngModel)]="nameSearchTerm"
        />
      </td>
      <td>
        <input
          type="text"
          name="gender"
          class="form-control"
          placeholder="search here"
          [(ngModel)]="genderSearchTerm"
        />
      </td>
      <td>
        <input
          type="text"
          name="address"
          class="form-control"
          placeholder="search here"
          [(ngModel)]="addressSearchTerm"
        />
      </td>
      <td>
        <input
          type="text"
          name="phoneNumber"
          class="form-control"
          placeholder="search here"
          [(ngModel)]="phoneSearchTerm"
        />
      </td>
    </tr>
    <tbody>
      <!-- here two types of filter are used filterBy and filter -->
      <!-- both are filter packages from npm -->

      <tr
        *ngFor="
          let data of teacherDetail
            | filterBy
              : {
                  fullName: nameSearchTerm,
                  gender: genderSearchTerm,
                  address: addressSearchTerm,
                  phoneNumber: phoneSearchTerm
                }
            | filter: globalSearchTerm
            | paginate: { itemsPerPage: 4, currentPage: p }
            | orderBy: fullName:true:true;
          let i = index
        "
      >
        <th scope="row">{{ i + 1 }}</th>
        <td>{{ data.fullName }}</td>
        <td>{{ data.gender }}</td>
        <td>{{ data.address }}</td>
        <td>{{ data.phoneNumber }}</td>
        <td>
          <button class="btn btn-primary btnn" (click)="editBtnClick(i + 1)">
            Edit
          </button>
          <button class="btn btn-primary" (click)="deleteBtnClick(i)">
            Delete
          </button>
        </td>
      </tr>
    </tbody>
  </table>
  <pagination-controls (pageChange)="p = $event"></pagination-controls>

  <div class="dropdown">
    <button
      class="btn btn-secondary dropdown-toggle"
      type="button"
      id="dropdownMenuButton"
      data-toggle="dropdown"
      aria-haspopup="true"
      aria-expanded="false"
    >
      sort by
    </button>
    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
      <a class="dropdown-item">full name</a>
      <a class="dropdown-item">Gender</a>
      <a class="dropdown-item" href="#">address</a>
      <a class="dropdown-item" href="#">phone</a>
    </div>
  </div>
</div>

<!-- dev extreme table example -->

<dx-data-grid
  id="gridContainer"
  [dataSource]="teacherDetail"
  [showBorders]="true"
>
  <dxo-sorting mode="multiple"></dxo-sorting>
  <dxi-column dataField="id" caption="Id" [width]="70"></dxi-column>
  <dxi-column dataField="fullName" sortOrder="asc"></dxi-column>
  <dxi-column dataField="gender" sortOrder="asc"></dxi-column>
  <dxi-column dataField="address"></dxi-column>
  <dxi-column dataField="phoneNumber" dataType="number"></dxi-column>
  <dxi-column dataField="Action"> </dxi-column>
</dx-data-grid>
<!-- <div class="options">
  <div class="caption">Options</div>
  <div class="option">
    <dx-check-box
      [(value)]="positionDisableSorting"
      (onValueChanged)="onValueChange($event)"
      text="Disable Sorting for the Position Column"
    >
    </dx-check-box>
  </div>
</div> -->
